Bug 13099 - ntstatus_gen.h is different on i686 and x86_64
ntstatus_gen.h is different on i686 and x86_64
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.7.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-25 15:44 UTC by Andreas Schneider
Modified: 2017-11-03 10:08 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.7 (1.52 KB, patch)
2017-10-26 05:57 UTC, Andreas Schneider
ddiss: review+
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-10-25 15:44:39 UTC
The script to generate ntstatus_gen.h uses the hex() function to convert an integer to a string and this results in hex numbers with an L at the end.
Comment 1 Andreas Schneider 2017-10-26 05:57:19 UTC
Created attachment 13723 [details]
patch for 4.7
Comment 2 Alexander Bokovoy 2017-10-26 07:23:18 UTC
Comment on attachment 13723 [details]
patch for 4.7

LGTM.
Comment 3 Andreas Schneider 2017-10-26 08:26:09 UTC
Karolin, please add it to 4.7.1. Thanks!
Comment 4 Karolin Seeger 2017-11-01 09:43:08 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-7-test.
Comment 5 Karolin Seeger 2017-11-03 10:08:32 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-7-test.
Closing out bug report.

Thanks!